package com.bohuikeji.delivery.backstage.thread;

import com.bohuikeji.delivery.backstage.service.third.base.ThirdBase;
import lombok.extern.slf4j.Slf4j;

/**
 * 订单复核线程
 * @author 孙劲辉
 */
@Slf4j
public class OrderReviewThread implements Runnable{
    /**
     * 服务类
     */
    private ThirdBase service;
    private String orderNum;
    private String thirdNum;

    public OrderReviewThread(ThirdBase service,String orderNum,String thirdNum){
        this.service=service;
        this.orderNum=orderNum;
        this.thirdNum=thirdNum;
    }
    @Override
    public void run() {
        log.error("订单复核线程进入：{}，第三方服务商：{}，第三方订单号：{}",orderNum,service.getName(),thirdNum);
        service.orderReview(orderNum,thirdNum);
    }
}
